### Method

# PapersDocument Selection render_selection

#### Declaration [src]

    void
    pps_selection_render_selection (
      PpsSelection* selection,
      PpsRenderContext* rc,
      cairo_surface_t** surface,
      PpsRectangle* points,
      PpsRectangle* old_points,
      PpsSelectionStyle style,
      GdkRGBA* text,
      GdkRGBA* base
    )

#### Description

No description available.

#### Parameters

`rc`

  Type: `PpsRenderContext`

  No description available.

  The data is owned by the caller of the method.

`surface`

  Type: `cairo_surface_t`

  No description available.

  The data is owned by the caller of the method.

`points`

  Type: `PpsRectangle`

  No description available.

  The data is owned by the caller of the method.

`old_points`

  Type: `PpsRectangle`

  No description available.

  The data is owned by the caller of the method.

`style`

  Type: `PpsSelectionStyle`

  No description available.

`text`

  Type: `GdkRGBA`

  No description available.

  The data is owned by the caller of the method.

`base`

  Type: `GdkRGBA`

  No description available.

  The data is owned by the caller of the method.